#include <gtk/gtk.h>
#include "ruleadd.h"

/*
* Simple window to display an error message
*
*Author: Thomas Salmon tws9@aber.ac.uk
*Date: 3/2/04
*/

static void destroy(GtkWidget *widget, gpointer data){
	gtk_widget_destroy(GTK_WIDGET(data));
}

void display_message(char *msg){
	GtkWidget *dialog;
	GtkWidget *message;
	GtkWidget *ack; /* acknowledgement button */

	dialog = gtk_dialog_new();
	gtk_window_set_title(GTK_WINDOW(dialog), "Error");
	gtk_window_set_default_size(GTK_WINDOW(dialog), 200, 150);
	gtk_window_set_position(GTK_WINDOW(dialog), GTK_WIN_POS_MOUSE);

	message = gtk_label_new(msg);
	ack = gtk_button_new_with_label("OK");

	gtk_signal_connect(GTK_OBJECT(ack), "clicked", GTK_SIGNAL_FUNC(destroy), 
					   dialog);

	gtk_container_add(GTK_CONTAINER(GTK_DIALOG(dialog)->vbox), message);
	gtk_container_add(GTK_CONTAINER(GTK_DIALOG(dialog)->action_area), ack);

	gtk_widget_show_all(dialog);
}

